body, table {
  font-family: Arial;
  font-size: 10pt
}

body {
  margin: 0;
  padding: 0.5em;
  zbackground: #ccc
}

td, th {
  padding: 0.2em 0.2em; 
  border-right: 1px solid #ddd;
  border-bottom: 1px solid #bbb;
}

h1 {
  font-size: 120%
}

.tbset td, .tbset th {
  padding: 0.1em 0.5em;
}

button {
  padding: 0 .5em;
  overflow: visible
}

u {
  cursor: pointer
}

xmp {
  display: none
}

#TSQS {
  width: 100%;
  height: 10em;
  display: none;
}

#hSetData {
  display: none;
  width: auto;
  xbackground: #ccc;
  padding: 1em;
}

#hSetData {
  vertical-align: top;
}

#Ranges th {
  background: #def;
}

#Ranges td {
  background: white;
}

#WarningKey tr:nth-child(1) td{
  background: lightgreen;
}

#WarningKey tr:nth-child(2) td{
  background: lightyellow;
}

#WarningKey tr:nth-child(3) td{
  background: yellow;
}

#WarningKey tr:nth-child(4) td{
  background: orange;
}

#WarningKey tr:nth-child(5) td{
  background: red;
}





#hData div:nth-child(1) {
  float: right;
  padding: 1em;
  color: gray;
  font-size: 80%;
}

#hData div:nth-child(1) div:nth-child(1) {
  padding: 0.5em;
  margin-bottom: 1em;
  background: yellow;
  color: black;
  font-size: 9pt;
  border: 1px solid gray;
}

#hData div:nth-child(1) div:nth-child(1) ul {
  padding-left: 2em;
}

#hData div:nth-child(1) u {
  color: gray;
}

#hData div:nth-child(1) u:nth-child(6) {
  color: gray; 
  display: none;
}

#hData div:nth-child(2) {
  background: white;
  padding: 1em;
}

#hData div:nth-child(2) table:nth-child(1) {
  border: 1px solid black;
  margin: auto;
  background: #f8f8f8;
  width: 500px;
  text-align: center;
  padding: 0;
  border-spacing: 0;
}

#hData div:nth-child(2) table:nth-child(1) tr {
  vertical-align: top;
}

#Date {
  width: 4em;
}

#hData div:nth-child(2) table:nth-child(1) tr td:nth-child(1) p:nth-child(2) {
  text-align: center;
}

#hData div:nth-child(2) table:nth-child(1) tr td:nth-child(1) p:nth-child(3) {
  color: red;
}

#hData div:nth-child(2) table:nth-child(1) tr td:nth-child(3) table {
  border: 1px solid black;
  margin: auto;
  border-spacing: 0;
  padding: 0;
}


#Data {
  background: white;
  padding: 1em;
}

#Swaps {
  display: none;
  width: 1200px;
  margin: auto;
  text-align: center;
  font-size: 120%;
  font-weight: bold;
  background: #f8f8f8;
  padding: 0.5em;
  border: 1px solid black;
}

#Swaps u {
  font-size: 80%;
  font-weight: normal;
  float: right;
}

#Images {
  font-size: 120%;
  font-weight: bold;
  background: #f8f8f8;
  padding: 0.5em;
  border: 1px solid black;
  margin: 1em 0em;
  display: none;
}

#iX {
  border: 1px solid black;
  margin: auto;
  text-align: center;
}


#iX colgroup {
  width: 160px;
}

#iX th {
  background: #def;
}

#iX tr:nth-child(3) {
  vertical-align: top;
}

#iX th[colspan],
#iX tr :nth-child(n + 4) {
  border-right: 1px solid black;
}

.YellowTable {
  width: 100%;
  background: lightyellow;
  text-align: center;
  border: 1px solid black;
  padding: 0;
  border-spacing: 0;
}

#iP, #iK, #iCa, #iMg, #ipHw, #iLBC {
  width: 4em;
}

#ScoreTable {
  text-align: center;
  background: white;
  margin: auto;
}

#ScoreTable tr:nth-child(1) td {
  background: #eee;
  border-bottom: 1px solid black;
  text-align: left;
}

#ScoreTable th {
  background: #def;
  width: 2.5em;
}

#ScoreTable th:nth-child(1) {
  background: #fed;
}

#ScoreTable tr:nth-child(3) th {
  border-bottom: 1px solid black;
}

#ScoreTable tr > :nth-child(2),
#ScoreTable tr:nth-child(n + 2) > :nth-last-child(1) {
  border-left: 1px solid black;
}

#ScoreTable tr > :nth-last-child(1):empty {
  background: #eee;
}

#ScoreTable tr > :nth-last-child(1) {
  background: #def;
  color: black;
  fontWeight: bold;
}

#ScoreTable td:hover {
  outline: 2px solid blue;
  font-weight: bold;
  cursor: pointer;
}

.setMatch {
  border: 2px solid black;
  background: lightgreen;
}

.tbset {
  font-size: 90%;
  border: 2px solid black;
  background: white;
  text-align: center;
}

.tbset th {
  background: #def;
  border-bottom: 1px solid black;
}

.tbset tr > :nth-child(2),
.tbset tr > :nth-child(7),
.tbset tr > :nth-child(9) {
  border-left: 2px solid black;
}

.tbset tr:nth-last-child(1) {
  text-align: right;
}

.tbset td:nth-child(1) {
  background: #eee;
}

.tbset td:nth-child(2) {
  text-align: left;
}

.red {
  background: red;
}

.orange {
  background: orange; 
}

.yellow {
  background: yellow;
}

.lightyellow {
  background: lightyellow;
}

.gray {
  background: #ddd;
}

.hidden {
  display: none;
}

div.examples p:hover {
  cursor: pointer;
  color: blue;
}

.flag {
  border: none;
  outline: 2px solid red;
  background: white;
  font-weight: bold;
}

#hSetData * {
  vertical-align: top;
}

#hSetData table {
  text-align: center;
}

.left {
  text-align: left;
}